https://bugs.gentoo.org/903968
https://github.com/pocl/pocl/issues/1200
https://github.com/pocl/pocl/commit/b5a097e5e55922561f738eedbde050b0fec2e480

From b5a097e5e55922561f738eedbde050b0fec2e480 Mon Sep 17 00:00:00 2001
From: Topi Leppanen <topi.leppanen@tuni.fi>
Date: Thu, 13 Apr 2023 11:14:23 +0300
Subject: [PATCH] Don't use make_unique in countred example

This is because of C++11 compatibility reasons.
Fixes #1200.
--- a/examples/accel/OpenCLcontext.cpp
+++ b/examples/accel/OpenCLcontext.cpp
@@ -189,7 +189,8 @@ bool OpenCL_Manager::processCameraFrame(unsigned char* input, unsigned long *out
     return isValid;
 }
 
-OpenCL_Manager::OpenCL_Manager() : Context{std::make_unique<OpenCL_Context>()} {}
+OpenCL_Manager::OpenCL_Manager()
+    : Context{std::unique_ptr<OpenCL_Context>(new OpenCL_Context())} {}
 OpenCL_Manager::~OpenCL_Manager() {}
 
 
